Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseDatasetParameter

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseDatasetParameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRCloneable, JRDatasetParameter

Direct Known Subclasses:
  JRBaseSubreportParameter, JRDesignDatasetParameter

    public class JRBaseDatasetParameter

extends java.lang.Object
implements JRDatasetParameter, java.io.Serializable

Base read-only implementation of `JRDatasetParameter`.

Version:
  $Id: JRBaseDatasetParameter.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRExpression` | `expression`
`protected java.lang.String` | `name`

Constructor Summary
`protected` | `JRBaseDatasetParameter()`
`protected` | `JRBaseDatasetParameter(JRDatasetParameter datasetParameter, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`JRExpression` | `getExpression()` Returns the value expression.
`java.lang.String` | `getName()` Returns the name of the dataset parameter.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### expression

    protected JRExpression expression

Constructor Detail

### JRBaseDatasetParameter

    protected JRBaseDatasetParameter()

### JRBaseDatasetParameter

    protected JRBaseDatasetParameter(JRDatasetParameter datasetParameter,
                                     JRBaseObjectFactory factory)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `JRDatasetParameter`
  Returns the name of the dataset parameter.

  Specified by:
    `getName` in interface `JRDatasetParameter`
  Returns:
    the name of the dataset parameter

### getExpression

    public JRExpression getExpression()

  Description copied from interface: `JRDatasetParameter`
  Returns the value expression.

  Specified by:
    `getExpression` in interface `JRDatasetParameter`
  Returns:
    the value expression

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com